package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstrainWeightResultMapper extends IBaseMapper<TmstrainWeightResult, BigDecimal> {
    @Select("select seq_train_weight_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过火车运输订单号查询火运总实绩信息
    Map<String, Object> getTrainResultTotalMes(String transportNum);

    int updateByResultTotalIdSelective(TmstrainWeightResult tmstrainWeightResult);
}